export declare class PnSidenavLink {
    hostElement: HTMLElement;
    /** Name */
    name: string;
    /** Href */
    href: string;
    /** Target */
    target: string;
    /** Link id */
    linkid: string;
    /** Icon */
    icon: string;
    /** Currently selected */
    currentSelection: boolean;
    /** Level ID that we control toggle on */
    levelId: string;
    /** Menu item is open */
    open: boolean;
    hasChildren: boolean;
    componentWillLoad(): void;
    onExpandClick(): void;
    getTagName(): "button" | "a";
    render(): any;
}
